package com.mobai.domain.flux;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 运行时数据
 * @ClassName RunTimes
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/2 15:22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RunTimes {

    /**
     * mqtt 连接数量
     */
    private Integer mqttConnect;

    /**
     * 缓存大小
     */
    private Integer retainSize;
    /**
     * 主题个数
     */
    private Integer topicSize;

    /**
     * 脚本数量
     */
    private Integer aclCount;

    /**
     * 脚本数量
     */
    private Integer scriptCount;
    /**
     * 代理订阅数量
     */
    private Integer proxySubCount;
    /**
     * 消费者数量
     */
    private Integer commandConsumerCount;
    /**
     * mqtt 订阅数量
     */
    private Integer mqttSubscribeQos0;
    /**
     * 订阅数量
     */
    private Integer mqttSubscribeQos1;
    /**
     * 订阅数量
     */
    private Integer mqttSubscribeQos2;
    /**
     * 规则引擎数量
     */
    private Integer ruleCount;
    /**
     * 桥接数量
     */
    private Integer bridgeOver;


//  "mqtt.connect": 2,
//  "retain.size": 0,
//  "topic.size": 3,
//  "acl.count": 0,
//  "script.count": 0,
//  "proxySub.count": 0,
//  "command.consumer.count": 0,
//  "mqtt.subscribe.qos0": 3,
//  "mqtt.subscribe.qos1": 0,
//  "mqtt.subscribe.qos2": 0,
//  "rule.count": 0,
//  "bridge.over": 0

}
