package com.mobai.mq.rabbitmq.cofig;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName MqttProperties
 * @Description 描述
 * @Author Mobai
 * @Date 2024/5/30 20:05
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MqttProperties {
    private String broker ;
    private String topic ;
    private String username;
    private String password;
    private String clientid;

    public static MqttProperties configBuild(String ip,String topic){
//        "tcp://39.98.69.92:1883"
        return MqttProperties.builder()
                .broker("tcp://"+ip+":1883")
                .topic(topic)
                .clientid("mobai-mq")
                .build();
    }
}
