package com.mobai.mq.rabbitmq.domian;

import com.mobai.mq.rabbitmq.cofig.MqttProperties;
import org.apache.commons.lang3.StringUtils;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;

/**
 * @ClassName GetOptions
 * @Description 描述
 * @Author Mobai
 * @Date 2024/5/31 14:26
 */

public class GetOptions {

    public static MqttConnectOptions getMqttOptionas(MqttProperties mqttProperties){
        // 连接参数
        MqttConnectOptions options = new MqttConnectOptions();
        if (!StringUtils.isAllBlank(mqttProperties.getUsername(),
                mqttProperties.getPassword())){
            options.setUserName(mqttProperties.getUsername());
            options.setPassword(mqttProperties.getPassword().toCharArray());
        }
        options.setConnectionTimeout(60);
        options.setKeepAliveInterval(60);
        return options;
    }
}
