package com.mobai.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName StayTime
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/4 9:28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StayTime {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    private String vin;
    private String ip;
    private Long upTime;
    private Long downTime;
    private String stayLongTime;
    private String remark;
    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;


}
