package com.mobai.domain.flux;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * mqtt 结束指针
 *
 * @ClassName Endpoints
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/2 15:16
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Endpoints {

    /**
     * mqtt 地址
     */
    private String mqtt;

    /**
     * http访问地址
     */
    private String http;

    /**
     * websocket
     */
    private String ws;

}
//            "mqtt":"mqtt://127.0.0.1:1883",
//            "http":"http://127.0.0.1:8080",
//            "ws":"ws://127.0.0.1:8883/mqtt"
