package com.mobai.domain.flux;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName Events
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/2 15:28
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Events {
    private Integer mqttConnectEvent;
    private Integer mqttCloseEvent;
    private Integer mqttDisconnectEvent;
    private Integer mqttPublishDropEvent;
    private Integer mqttPublishUnsubscribeDropEvent;
    private Integer mqttSubscribeEvent;
    private Integer mqttUnsubscribeEvent;
    private Integer mqttPublishQos0Event;
    private Integer mqttPublishQos1Event;
    private Integer mqttPublishQos2Event;
    private Integer mqttWriteQos0Event;
    private Integer mqttWriteQos1Event;
    private Integer mqttWriteQos2Event;
    private Integer mqttRewriteQos1Event;
    private Integer mqttRewriteQos2Event;
    private Integer mqttWriteDropEvent;
    private Integer authSuccessEvent;
    private Integer authFailedEvent;
    private Integer bridgeSuccessEvent;
    private Integer bridgeErrorEvent;
    private Integer bridgeDropEvent;
    private Integer eventbusSendSuccessEvent;
    private Integer eventbusSendErrorEvent;
    private Integer eventbusReceiveEvent;
    private Integer eventbusDiscardEvent;

}
//"mqtt.connect.event": 11,
//"mqtt.close.event": 9,
//"mqtt.disconnect.event": 3,
//"mqtt.publish.drop.event": 27,
//"mqtt.publish.unsubscribe.drop.event": 27,
//"mqtt.subscribe.event": 24,
//"mqtt.unsubscribe.event": 1,
//"mqtt.publish.qos0.event": 159,
//"mqtt.publish.qos1.event": 0,
//"mqtt.publish.qos2.event": 0,
//"mqtt.write.qos0.event": 133,
//"mqtt.write.qos1.event": 0,
//"mqtt.write.qos2.event": 0,
//"mqtt.rewrite.qos1.event": 0,
//"mqtt.rewrite.qos2.event": 0,
//"mqtt.write.drop.event": 0,
//"auth.success.event": 0,
//"auth.failed.event": 0,
//"bridge.success.event": 0,
//"bridge.error.event": 0,
//"bridge.drop.event": 0,
//"eventbus.send.success.event": 0,
//"eventbus.send.error.event": 0,
//"eventbus.receive.event": 0,
//"eventbus.discard.event": 0
