package com.mobai.mq.rabbitmq.api;

import com.mobai.mq.rabbitmq.cofig.MqttFactory;
import com.mobai.mq.rabbitmq.cofig.MqttProperties;
import com.mobai.mq.rabbitmq.domian.GetOptions;
import com.mobai.mq.rabbitmq.domian.MqttCallBackServiceImpl;
import org.eclipse.paho.client.mqttv3.*;

public class SubscribeSample {
    public static void main(String[] args) {
        MqttProperties mqttProperties = MqttProperties.configBuild("39.98.69.92", "topic0");
//        MqttProperties mqttProperties = new MqttProperties();
//          mqttProperties.setBroker("tcp://39.98.69.92:1883");
//          mqttProperties.setTopic("mqtt/test");
          mqttProperties.setUsername("emqx");
          mqttProperties.setPassword("public");
//          mqttProperties.setClientid("subscribe_client");

        int qos = 0;
        try {
            MqttClient client = new MqttFactory(new MqttCallBackServiceImpl()).buildOptions(mqttProperties);
            // 连接参数
            MqttConnectOptions options = GetOptions.getMqttOptionas(mqttProperties);
            // 设置回调
            client.setCallback(new MqttCallBackServiceImpl());
            // 进行连接
            client.connect(options);
            client.subscribe(mqttProperties.getTopic(), qos);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
